Subject: Re: [PATCH v3] git-prompt: make colourization consistent

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jun 2022 13:50:01 -0700

Joakim Petersen <[email-masked]> writes:

> That does seem like a much better idea for maintainability, I can
> change the patch to do this instead. I have one question, though: the
> sequence $c$b (bare state and branch name) is a special case, where
> they're intended to have the same colour, should I wrap both in colour
> set, colour clear, or only clear after $b?

If we want to allow $c and $b appear in different places (which I
have no opinion on), I would say we should just color them
independently and fix the test that expects the close linkage
between the two.  I offhand see no reason that they _must_ stay
together myself, though.

Thanks.